\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=1cm,y=1cm]
\draw [color=Gris3,, xstep=1cm,ystep=1cm] (-4,-4) grid (4,4);
\clip(-4,-4) rectangle (4,4);
\draw [line width=1.5pt] (0,3)-- (-2.877272727272729,2.975454545454546);
\draw [line width=1.5pt] (-2.877272727272729,2.975454545454546)-- (3,0);
\draw [line width=1.5pt] (3,0)-- (0,-3);
\draw [line width=1.5pt] (0,-3)-- (-3,0);
\draw [line width=1.5pt] (-3,0)-- (0,3);
\draw [color=black] (3,3)-- ++(-2.5pt,-2.5pt) -- ++(5pt,5pt) ++(-5pt,0) -- ++(5pt,-5pt);
\draw[color=black] (3.1476305353990104,3.3913619369919337) node {$O$};
\end{tikzpicture}
\end{document}